<?php

use aedopte\util\APIRequestBuilder;

?>
<div class="section__content section__content--p30">
    <div class="container-fluid">

        <div class="row">
            <div class="col-md-12">
                <div class="overview-wrap">
                    <h2 class="title-1">Panel admin</h2>
                    <button class="au-btn au-btn-icon au-btn--red" data-toggle="modal" data-target="#mediumModal">
                        <i class="fa fa-warning"></i>Lancer l'algorithme</button>
                </div>
            </div>
        </div>
        <div class="row m-t-25">
            <div class="col-sm-6 col-lg-3">
                <div class="overview-item overview-item--c1">
                    <div class="overview__inner">
                        <div class="overview-box clearfix pb-4">
                            <div class="icon">
                                <i class="zmdi zmdi-account-o"></i>
                            </div>
                            <div class="text">
                                <h2><?=count($godsons)?></h2>
                                <span>étudiants 1A</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-lg-3">
                <div class="overview-item overview-item--c2">
                    <div class="overview__inner">
                        <div class="overview-box clearfix pb-4">
                            <div class="icon">
                                <i class="zmdi zmdi-account-o"></i>
                            </div>
                            <div class="text">
                                <h2><?=count($validUsers)?></h2>
                                <span>étudiants 2A</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-lg-3">
                <div class="overview-item overview-item--c3">
                    <div class="overview__inner">
                        <div class="overview-box clearfix pb-4">
                            <div class="icon">
                                <i class="fa fa-comment"></i>
                            </div>
                            <div class="text">
                                <h2><?=count($wishes)?></h2>
                                <span>voeux</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-12">
            <!-- MAP DATA-->
            <div class="map-data m-b-40">
                <h3 class="title-3 m-b-30">
                    <i class="fa fa-gear"></i>Configuration</h3>
                <div class="row form-group">
                    <div class="col col-md-3">
                        <label class=" form-control-label">Date fin inscription</label>
                    </div>
                    <div class="col-12 col-md-9">
                        <p class="form-control-static"><?=$dates['result']?></p>
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col col-md-3">
                        <label class=" form-control-label">Nombre de voeux</label>
                    </div>
                    <div class="col-12 col-md-9">
                        <p class="form-control-static"><?=$maxWish['result']?></p>
                    </div>
                </div>
            </div>
            <!-- END MAP DATA-->
        </div>

        <div>
            <div class="row">
                <div class="col-md-12">
                    <div class="overview-wrap">
                        <h2 class="title-1 pt-2">En conflit (<?=count($blockedMatches)?>)</h2>
                    </div>
                </div>
            </div>
            <div class="row m-t-25">
                <div class="col-md-12">
                    <!-- DATA TABLE-->
                    <div class="table-responsive m-b-40">
                        <table class="table table-borderless table-data3">
                            <thead>
                            <tr>
                                <th>Filleul</th>
                                <th>Parrains</th>
                                <th>Actions</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php foreach ($blockedMatches as $match):
                                //TODO: REWORD
                                $wishes = (new APIRequestBuilder('wish/' . $match['godson']['uid']))->defaultHeader()->send();
                                $goodWishes = array_filter($wishes, function ($wish) {
                                    return $wish['state'] == 'WAIT';
                                });
                                ?>
                            <tr>
                                <td><?=$match['godson']['firstName'] . " " . $match['godson']['lastName']?></td>
                                <td><?=implode("<br>", array_map(function ($wish) {
                                        return $wish['godfather']['firstName'] . " " . $wish['godfather']['lastName'] . " (".$wish['godfather']['validWishes'].")";
                                    }, $goodWishes));?></td>
                                <td>
                                    <form method="post">
                                        <input type="hidden" name="godson" value="<?=$match['godson']['uid']?>">
                                        <div class="rs-select2--trans">
                                            <select class="js-select2" name="godfather">
                                                <?php foreach ($goodWishes as $wish): ?>
                                                <option value="<?=$wish['godfather']['uid']?>"><?=$wish['godfather']['firstName'] . " " . $wish['godfather']['lastName']?></option>
                                                <?php endforeach; ?>
                                            </select>
                                            <div class="dropDownSelect2"></div>
                                            <input type="submit" name="assign" value="Attribuer" class="btn btn-primary btn-sm">
                                        </div>
                                    </form>
                                </td>
                            </tr>
                            <?php endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                    <!-- END DATA TABLE-->
                </div>
            </div>
        </div>
        <div>
            <div class="row">
                <div class="col-md-12">
                    <div class="overview-wrap">
                        <h2 class="title-1 pt-2">Aucun voeux (<?=count($emptyMatches)?>)</h2>
                    </div>
                </div>
            </div>
            <div class="row m-t-25">
                <div class="col-md-12">
                    <!-- DATA TABLE-->
                    <div class="table-responsive m-b-40">
                        <table class="table table-borderless table-data3">
                            <thead>
                            <tr>
                                <th>Filleul</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php foreach ($emptyMatches as $match): ?>
                            <tr>
                                <td><?=$match['godson']['firstName'] . " " . $match['godson']['lastName']?></td>
                                <td></td>
                            </tr>
                            <?php endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                    <!-- END DATA TABLE-->
                </div>
            </div>
        </div>
        <div>
            <div class="row">
                <div class="col-md-12">
                    <div class="overview-wrap">
                        <h2 class="title-1 pt-2">Validé (<?=count($validMatches)?>)</h2>
                    </div>
                </div>
            </div>
            <div class="row m-t-25">
                <div class="col-md-12">
                    <!-- DATA TABLE-->
                    <div class="table-responsive m-b-40">
                        <table class="table table-borderless table-data3">
                            <thead>
                            <tr>
                                <th>Parrain</th>
                                <th>Filleul</th>
                                <th>Type</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php foreach ($validMatches as $match): ?>
                                <tr>
                                    <td><?=$match['godfather']['firstName'] . " " . $match['godfather']['lastName'] . " (".$match['godfather']['validWishes'].")"?></td>
                                    <td><?=$match['godson']['firstName'] . " " . $match['godson']['lastName']?></td>
                                    <td><?=$match['type']?></td>
                                </tr>
                            <?php endforeach; ?>
                            </tbody>
                        </table>
                    </div>
                    <!-- END DATA TABLE-->
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="mediumModal" tabindex="-1" role="dialog" aria-labelledby="mediumModalLabel" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="mediumModalLabel">Lancement de l'alrorithme</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="alert alert-danger" role="alert">
                    Cette action est irréversible !
                </div>
                <p>
                    Cet algorithme permet de répartir de manière automatique les 1A et 2A. Il sortira 3 listes:
                </p>
                <div class="col-md-12">
                    <ul>
                        <li>les 1A ayant un parrain unique</li>
                        <li>les 1A demandé par plusieurs 2A</li>
                        <li>les 1A sans demandes</li>
                    </ul>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                <form method="post">
                    <input type="submit" class="btn btn-primary" name="run" value="Lancer">
                </form>
            </div>
        </div>
    </div>
</div>